package ScanObject;
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self  = {};
    $self->{POSITION} = undef;
    $self->{STRAND} = undef;
    $self->{SEQUENCE} = undef;
    $self->{SCORE} = undef;
    $self->{ACTIVE} = 1;
    bless($self, $class);
    return $self;
};

sub DESTROY {
    my $self = shift;
    return;
};

sub put_genome {
    my $self = shift;
    $self->{GENOME} = '1';
};

sub put_testset {
    my $self = shift;
    $self->{TESTSET} = '1';
};

sub put_element {
    my $self = shift;
    $self->{POSITION} = shift;
    $self->{STRAND} = shift;
    $self->{SEQUENCE} = shift;
    $self->{SCORE} = shift;
};

sub copy {
    my $self = shift;
    my $copy = shift;
    $copy->{POSITION} = $self->{POSITION};
    $copy->{STRAND} = $self->{STRAND};
    $copy->{SEQUENCE} = $self->{SEQUENCE};
    $copy->{SCORE} = $self->{SCORE};
    $copy->{ACTIVE} = $self->{ACTIVE};
};

1;
